For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet payment terms
      • POSTCreate a payment term
      • GETGet a payment term by ID
      • DELDelete a payment term
      • PATCHUpdate a payment term
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivablePayment terms

Delete a payment term

DELETE
/payment_terms/:payment_terms_id
DELETE
/v1/payment_terms/:payment_terms_id
$curl -X DELETE https://api.sandbox.monite.com/v1/payment_terms/payment_terms_id \
> -H "x-monite-version: 2024-05-25" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>"
Was this page helpful?
Previous

Update a payment term

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

payment_terms_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Errors

400
Delete Payment Terms ID Request Bad Request Error
401
Delete Payment Terms ID Request Unauthorized Error
403
Delete Payment Terms ID Request Forbidden Error
404
Delete Payment Terms ID Request Not Found Error
422
Delete Payment Terms ID Request Unprocessable Entity Error
429
Delete Payment Terms ID Request Too Many Requests Error